Browse Source

Reproduction scripts for the two graphs in the paper

Ian Goldberg 2 months ago
parent
commit
a3388b470b
2 changed files with 44 additions and 0 deletions
  1. 19 0
      repro/repro_fig7a
  2. 25 0
      repro/repro_fig7b

+ 19 - 0
repro/repro_fig7a

@@ -0,0 +1,19 @@
+#!/bin/bash
+
+# cd into the directory containing this script (from the bash faq 028)
+if [[ $BASH_SOURCE = */* ]]; then
+	  cd -- "${BASH_SOURCE%/*}/" || exit
+fi
+
+outfile=`hostname`.out
+
+(
+for t in 3 5 6 7 8 9 11; do
+    for ((n=2*t-1;n<=25;n+=2)); do
+	c=$n
+	echo -n "# "; date
+	../target/release/arctic $n $t $c 10
+    done
+done
+echo -n "# "; date
+) | tee -a $outfile

+ 25 - 0
repro/repro_fig7b

@@ -0,0 +1,25 @@
+#!/bin/bash
+
+if [ "$#" == 0 ]; then
+    echo "The arguments to this script should be the list of the numbers of cores to use."
+    echo "For example, if you have 16 physical cores, you might run:"
+    echo
+    echo "$0 1 2 3 4 6 8 10 12 14 16"
+    exit 1
+fi
+
+# cd into the directory containing this script (from the bash faq 028)
+if [[ $BASH_SOURCE = */* ]]; then
+      cd -- "${BASH_SOURCE%/*}/" || exit
+fi
+
+run() {
+    nthr=$1
+    echo -n "# "; date
+    numactl -C0-$((nthr-1)) -m0 ../target/release/arctic 25 11 25 10
+    echo -n "# "; date
+}
+
+for nthreads in $* do
+    run $nthreads | tee -a `hostname`.core${nthreads}.out
+done